Subject: Need info on bee venom therapy

From: [email-masked]
Date: Thu, 9 Mar 1995 20:09:20 +1000

Hi I am a student at Sam Houston State University. I am writing a paper about 
bee venom therapy and would like to know if anyone can help me out. I need 
scholarly journal articles and or books about the subject. I do not have 
access to News groups so if you don't mind, please email me with your response.

[email-masked]

Thank you from the bottom of my bee stung heart.

Grady "Early Grace" Mangum

Brian R. Victor                                /\_/\
University of Utah                            /.....\_
[email-masked]             /........ /^\
                                           |::::::::/.....\
 "Ya na ene yo ... Navajo nishlii"         |::::::/::::::: /\
         -pollen song                     _|::::_|:::::::_/::\_